import type { ClaimHistoryData, DailyRewardsData, DayRewardData, ExtraRewardData, ResignData, RewardInfoData } from "../interface";
import type { fetchOptions, Options } from "./base";
export type fetchClaimHistoryOption = fetchOptions & {
    page?: number;
};
type DailyRewardsOptions = Pick<Options<fetchOptions>, "defaultOptions">;
export declare class DailyRewards {
    readonly defaultOptions?: fetchOptions;
    constructor(options?: DailyRewardsOptions);
    private getFetchOptions;
    /**
     * @description Get the daily rewards details
     * @param {number} day The day to get
     */
    fetchDayReward(day: number, options?: fetchOptions): Promise<DayRewardData>;
    /**
     * @description CheckIn to claim Daily Rewards
     */
    checkIn(options?: fetchOptions): Promise<DailyRewardsData>;
    /**
     * @description Get the daily rewards info
     */
    fetchRewardInfo(options?: fetchOptions): Promise<RewardInfoData>;
    /**
     * @description Get the extra rewards info
     */
    fetchExtraRewardInfo(options?: fetchOptions): Promise<ExtraRewardData>;
    /**
     * @description get resign info
     */
    fetchResignInfo(options?: fetchOptions): Promise<ResignData>;
    /**
     * @description get check in history
     */
    fetchCheckInHistory(options?: fetchClaimHistoryOption): Promise<ClaimHistoryData>;
}
export {};
